{% extends 'base.html.twig' %}

{% block title %}Mail liste{% endblock %}

{% block body %}
    {% for message in app.flashes('info') %}
        <div class="alert alert-success">{{ message }}</div>
    {% endfor %}

    <td>
        <a>
            <button class="btn btn-success btn_new_mail" url="{{ path('mail_box_new') }}"><span
                        class="glyphicon glyphicon-plus" title="Envoyer Mail"> Nouveau Mail</span></button>
        </a></td>

    <div class="box">
        <div class="box-header">
            <h3 class="box-title">Liste Mail </h3>
        </div>
        <!-- /.box-header -->
        <div class="box-body">
            <table id="" class="table table-bordered table-striped">
                <thead>
                <tr>

                    <th>Sujet</th>
                    <th>Documents</th>
                    <th>Message</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tbody>
                {% for mail_box in mail_boxes %}
                    <tr>

                        <td>{{ mail_box.subject }}</td>
                        <td>
                            {% for document in mail_box.documents %}
                                {{ document.name }}<br>
                            {% endfor %}
                        </td>
                        <td>{{ mail_box.message }}</td>

                        <td>
                            <a>
                                <button class="btn btn-primary btn_info_mail"
                                        url="{{ path('mail_box_show', {'id': mail_box.id}) }}"><span
                                            class="glyphicon glyphicon-info-sign" title="Détail"></span></button>
                            </a>
                        </td>

                    </tr>

                {% else %}
                    <tr>
                        <td colspan="5">Pas d'enregistrement</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>


            <div class="modal fade" id="modalMail" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                 aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header text-center">
                            <h4 class="modal-title w-100 font-weight-bold titre_modal_mail"></h4>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>
                        <div class="modal-body">
                            <div class="text-center">
                                <img src="{{ asset('images/loading.svg') }}" class="load_modal_body">
                            </div>
                            <div class="content_modal_body">
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


{% endblock %}

{% block mesJavascripts %}
    <script>
        $('body').on('click', '.btn_new_mail', function (event) {
            $('#modalMail').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.titre_modal_mail').html('Envoyer Mail');
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'POST',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                    (function ($) { $('select').select2({theme: "classic"}) }(jQuery));
                }
            });
        });

        $('body').on('click', '.save_mail', function (event) {

            var form = $('#form_add_mail');
            var formData = new FormData(document.getElementById("form_add_mail"));

            $.ajax({
                type: 'POST',
                cache: false,
                data: formData,
                url: form.attr('action'),
                processData: false,
                contentType: false,

                beforeSend: function (XMLHttpRequest) {
                    $('#form_add_mail').attr('disabled', true);
                },

                success: function (msg) {
                    if (msg == 'ok') {
                        $('#modalMail').modal('hide');
                        location.reload();
                    } else {
                        $('.content_modal_body').html(msg);
                        (function ($) { $('select').select2({theme: "classic"}) }(jQuery));
                        //alert('erreur');
                    }
                }
            });

        });
        $('body').on('click', '.btn_info_mail', function (event) {
            $('#modalMail').modal('show');
            $('.content_modal_body').html('');
            $('.load_modal_body').show();
            $('.modal-footer').html('<button type="button" class="btn btn-danger pull-right" data-dismiss="modal">Fermer</button>');
            $('.titre_modal_mail').html('Info Mail');
            var url = $(this).attr('url');
            $.ajax({
                url: url,
                method: 'GET',
                success: function (result) {
                    $('.load_modal_body').hide();
                    $('.content_modal_body').html(result);
                }
            });
        });
    </script>
{% endblock %}
